Bug 424612

Summary: An error when saving image
Product: krita Reporter: chrupka010
Component: UsabilityAssignee: sh_zam <shzam>
Status: RESOLVED FIXED    
Severity: normal CC: ghevan, shzam
Priority: NOR Keywords: triaged
Version: unspecified   
Target Milestone: ---   
Platform: Android   
OS: Android 10.x   
Latest Commit: Version Fixed In:
Attachments: screenshot of the bug pop up window

Description chrupka010 2020-07-24 16:06:55 UTC
Created attachment 130370 [details]
screenshot of the bug pop up window

SUMMARY


STEPS TO REPRODUCE
1. Open an image(jpg for example)using open file button
2. Make new layer
3. Open saving dialoge box using save button on toolbar
4. The box "also save your image as Krta file" should be checked
5. Click ok

EXPECTED RESULT
the dialogue box stating that "An unspecified error occurred." will pop up.
Screenshot provided in attachment

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 5.12.8

ADDITIONAL INFORMATION
the issue can be worked around when saving using: file>save as>krita document

System Information

Krita

 Version: 4.3.1-alpha (git 8798b4d)
 Languages: C
 Hidpi: true

Qt

  Version (compiled): 5.12.8
  Version (loaded): 5.12.8

OS Information

  Build ABI: arm64-little_endian-lp64
  Build CPU: arm64
  CPU: arm64
  Kernel Type: linux
  Kernel Version: 4.4.205-18876299
  Pretty Productname: Android  (10.0)
  Product Type: android
  Product Version: 10.0
  Desktop: 

OpenGL Info
 
  Vendor:  "Qualcomm" 
  Renderer:  "Adreno (TM) 540" 
  Version:  "OpenGL ES 3.2 V@415.0 (GIT@339f197, I04d54ab9d9, 1589976200) (Date:05/20/20)" 
  Shading language:  "OpenGL ES GLSL ES 3.20" 
  Requested format:  QSurfaceFormat(version 2.0, options QFlags<QSurfaceFormat::FormatOption>(), depthBufferSize 24, redBufferSize 8, greenBufferSize 8, blueBufferSize 8, alphaBufferSize 8, stencilBufferSize 8, samples -1, swapBehavior QSurfaceFormat::DoubleBuffer, swapInterval 0, colorSpace QSurfaceFormat::DefaultColorSpace, profile  QSurfaceFormat::NoProfile) 
  Current format:    QSurfaceFormat(version 3.2, options QFlags<QSurfaceFormat::FormatOption>(), depthBufferSize 24, redBufferSize 8, greenBufferSize 8, blueBufferSize 8, alphaBufferSize 8, stencilBufferSize 8, samples 0, swapBehavior QSurfaceFormat::DefaultSwapBehavior, swapInterval 0, colorSpace QSurfaceFormat::DefaultColorSpace, profile  QSurfaceFormat::NoProfile) 
     Version: 3.2
     Supports deprecated functions false 
     is OpenGL ES: true 

QPA OpenGL Detection Info 
  supportsDesktopGL: false 
  supportsOpenGLES: true 
  isQtPreferOpenGLES: true 

Hardware Information

  GPU Acceleration: angle
  Memory: 3589 Mb
  Number of Cores: 8
  Swap Location: /data/data/org.krita/files

Current Settings

  Current Swap Location: /data/data/org.krita/files
  Current Swap Location writable: true
  Undo Enabled: true
  Undo Stack Limit: 30
  Use OpenGL: true
  Use OpenGL Texture Buffer: true
  Use AMD Vectorization Workaround: false
  Canvas State: OPENGL_SUCCESS
  Autosave Interval: 900
  Use Backup Files: true
  Number of Backups Kept: 1
  Backup File Suffix: ~
  Backup Location: Same Folder as the File
  Backup Location writable: false
  Use Win8 Pointer Input: false
  Use RightMiddleTabletButton Workaround: false
  Levels of Detail Enabled: false
  Use Zip64: false


Display Information
Number of screens: 1
	Screen: 0
		Name: 
		Depth: 32
		Scale: 2.24978
		Resolution in pixels: 1138x696
		Manufacturer: 
		Model: 
		Refresh Rate: 60
Comment 1 vanyossi 2020-07-24 18:20:24 UTC
I get no error popup using 4.3.1-alpha-f119f41 on linux or using master branch on macOS

I however only tested using standard folder locations.
Comment 2 chrupka010 2020-07-24 18:25:14 UTC
(In reply to vanyossi from comment #1)
> I get no error popup using 4.3.1-alpha-f119f41 on linux or using master
> branch on macOS
> 
> I however only tested using standard folder locations.

I have changed the location of save, I think.
Comment 3 vanyossi 2020-07-24 18:29:09 UTC
With the steps provided there is no option to change the save location. Are you sure the steps are correct?
Comment 4 chrupka010 2020-07-24 18:31:58 UTC
(In reply to vanyossi from comment #3)
> With the steps provided there is no option to change the save location. Are
> you sure the steps are correct?

Sorry I don't know how to help, I have the error when I follow these steps.
Comment 5 chrupka010 2020-07-24 18:35:54 UTC
(In reply to chrupka010 from comment #4)
> (In reply to vanyossi from comment #3)
> > With the steps provided there is no option to change the save location. Are
> > you sure the steps are correct?
> 
> Sorry I don't know how to help, I have the error when I follow these steps.

I will download Krita onto my phone and see if results are different.
Comment 6 chrupka010 2020-07-24 18:57:51 UTC
(In reply to chrupka010 from comment #5)
> (In reply to chrupka010 from comment #4)
> > (In reply to vanyossi from comment #3)
> > > With the steps provided there is no option to change the save location. Are
> > > you sure the steps are correct?
> > 
> > Sorry I don't know how to help, I have the error when I follow these steps.
> 
> I will download Krita onto my phone and see if results are different.

When following these steps on my phone I do not even get the same pop up box. I get the option to choose the location of save. But the version of Krita is 4.3.0 not 4.3.1 like on my tablet
Comment 7 Bug Janitor Service 2020-11-09 09:39:54 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/krita/-/merge_requests/580
Comment 8 sh_zam 2020-11-09 10:38:50 UTC
Git commit a7dd47d1685b990d9be1b52865e11144cfa4f18f by Sharaf Zaman.
Committed on 09/11/2020 at 10:31.
Pushed by rempt into branch 'krita/4.3'.

Bugfix: "Also Save as Kra" doesn't work on Android

when alsoAsKra is checked we use file picker to ask for the location to
save Kra. Picker will try to find the parent location of the current file.

A  +59   -0    3rdparty/ext_qt/0054-Android-use-EXTRA_INITIAL_URI-as-the-defaultDir.patch
M  +1    -0    3rdparty/ext_qt/CMakeLists.txt
M  +16   -0    libs/ui/KisImportExportManager.cpp
M  +2    -0    libs/ui/KisImportExportManager.h
M  +9    -0    libs/widgetutils/KoFileDialog.cpp
M  +8    -0    libs/widgetutils/KoFileDialog.h

https://invent.kde.org/graphics/krita/commit/a7dd47d1685b990d9be1b52865e11144cfa4f18f
Comment 9 sh_zam 2020-11-10 13:03:42 UTC
Git commit abd903670aada8ab60d1a7c196561776226d7333 by Sharaf Zaman.
Committed on 10/11/2020 at 13:03.
Pushed by szaman into branch 'master'.

Bugfix: "Also Save as Kra" doesn't work on Android

when alsoAsKra is checked we use file picker to ask for the location to
save Kra. Picker will try to find the parent location of the current file.


(cherry picked from commit a7dd47d1685b990d9be1b52865e11144cfa4f18f)

A  +59   -0    3rdparty/ext_qt/0054-Android-use-EXTRA_INITIAL_URI-as-the-defaultDir.patch
M  +1    -0    3rdparty/ext_qt/CMakeLists.txt
M  +16   -0    libs/ui/KisImportExportManager.cpp
M  +2    -0    libs/ui/KisImportExportManager.h
M  +9    -0    libs/widgetutils/KoFileDialog.cpp
M  +8    -0    libs/widgetutils/KoFileDialog.h

https://invent.kde.org/graphics/krita/commit/abd903670aada8ab60d1a7c196561776226d7333